<div class="container">
  <div class="fm-row fm-top">
    <div class="col-md-6">
      <ul class="filters">
        <li id="li_0" [ngClass]="selectedItemA" (click)="getSelectedVehicles(null,'itemA')">
          <a class="total1">
            <i aria-hidden="true" class="fa fa-car" matTooltip="Total"> <span class="white-text"> {{ vehicles }}
              </span></i>
          </a>
        </li>

        <li id="li_3" [ngClass]="selectedItemD" (click)="getSelectedVehicles(3,'itemD')">
          <a class="logged">
            <i aria-hidden="true" class="fa fa-car" matTooltip="Logged in">
              <span class="white-text">{{ vehicleLogged }} </span>
            </i>
          </a>
        </li>

        <li id="li_2" [ngClass]="selectedItemE" (click)="getSelectedVehicles(2,'itemE')">
          <a class="non_occupied">
            <i aria-hidden="true" class="fa fa-car" matTooltip="Logged out">
              <span class="white-text">{{ vehiclePaused }} </span>
            </i>
          </a>
        </li>

        <li id="li_6" [ngClass]="selectedItemB" (click)="getSelectedVehicles(6,'itemB')">
          <a class="occupied">
            <i aria-hidden="true" class="fa fa-car" matTooltip="Booked">
              <span class="white-text">{{vehicleBooked}} </span>
            </i>
          </a>
        </li>
        <li id="li_5" [ngClass]="selectedItemG" (click)="getSelectedVehicles(5,'itemG')">
          <a class="free">
            <i aria-hidden="true" class="fa fa-car" matTooltip="Free">
              <span class="white-text">{{ vehicleFree }} </span>
            </i>
          </a>
        </li>

        <li id="li_1" [ngClass]="selectedItemC" (click)="getSelectedVehicles(1,'itemC')">
          <a class="offline">
            <i aria-hidden="true" class="fa fa-car" matTooltip="Paused">
              <span class="white-text">{{ vehicleOffline }} </span>
            </i>
          </a>
        </li>
        <li id="li_4" [ngClass]="selectedItemF" (click)="getSelectedVehicles(4,'itemF')">
          <a class="mantain">
            <i aria-hidden="true" class="fa fa-car" matTooltip="In maintenance" >
              <span class="white-text"> {{ vehicleInMaintenace }}</span>
            </i>
          </a>
        </li>
        <li id="li_4" [ngClass]="selectedItemI" (click)="getSelectedVehicles(8,'itemI')">
          <a class="unused">
            <i aria-hidden="true" class="fa fa-car" matTooltip="Inactive">
              <span class="white-text"> {{ Inactive}}</span>
            </i>
          </a>
        </li>
      </ul>
    </div>
    <div class="col-md-6 text-right">
      <ng-container *ngIf="downloads">
        <span matTooltip="CSV" style="cursor: pointer">
          <img src="assets/img/csv.png" (click)="createCsv()" alt="csv"/>
        </span>
      </ng-container>
      <button type="button" class="btn btn-primary reset-blue"
      (click)="getSelectedVehicles(null,'itemA')">Search</button>
      <button class="btn btn-sm btn-primary btn-red" (click)="reset()">
        <i aria-hidden="true" class="fa fa-eraser"></i>
        Reset filters
      </button>
      <button type="button" class="btn btn-primary reset-blue" (click)="SendMessageDialog(searchDataVehicles)">Send
        Message</button>
    </div>
    <div class="col-md-12 text-capitalize vehicle_forms">
      <div class="col-md-2">
        <input matInput placeholder="Search Vehicle" class="form-control" name="vehicleFilter"
          (ngModelChange)="setVehicleFilter($event,'setVehicleFilter')" [(ngModel)]="vehicleFilter"
          [formControl]="queryField" aria-label="Vehicle" [matAutocomplete]="Vehicles">
        <img *ngIf="loadingIndicator == 'setVehicleFilter'" class="loading_indicator" src="assets/img/loading.gif" alt="loader">
        <mat-autocomplete #Vehicles="matAutocomplete" [displayWith]="displayFnvehicle">
          <mat-option *ngFor="let vehicle of selectVehicleData" [value]="vehicle">
            <div class="option-otr">
              <div class="option_span">{{ vehicle.display_name }} </div>
              <div class="option_span">{{ vehicle.licence_number }} </div>
              <div class="option_span">{{ vehicle.registration_number }} </div>
            </div>
          </mat-option>
          <mat-option *ngIf="selectVehicleData?.length==0">No Matches Found</mat-option>
        </mat-autocomplete>
      </div>
      <div class="col-md-2">
        <input matInput placeholder="Select Driver" class="form-control" name="driverFilter"
          (ngModelChange)="setDriverFilter($event)" [(ngModel)]="driverFilter" [formControl]="drivers"
          aria-label="Drivers" [matAutocomplete]="Drivers">
        <img *ngIf="loadingIndicator == 'setDriverFilter'" class="loading_indicator" src="assets/img/loading.gif" alt="loader">
        <mat-autocomplete #Drivers="matAutocomplete" [displayWith]="displayFnDriver">
          <mat-option *ngFor="let driver of selectDriverData" [value]="driver">
            <div class="option-otr">
              <div class="option_span">
                <strong> Username:</strong> {{ driver.username }}</div>
              <div class="option_span" title="{{ driver.name }} &nbsp;{{ driver.surname }}">
                <strong>Name&Surname:</strong>{{ driver.name }} &nbsp;{{ driver.surname }}</div>
              <div class="option_span">
                <strong>Display Name:</strong>{{ driver.display_name }}</div>
            </div>
          </mat-option>
          <mat-option *ngIf="selectDriverData?.length==0">No Matches Found</mat-option>
        </mat-autocomplete>
      </div>
      <div class="col-md-2">
        <input matInput placeholder="Select Vehicle Model" class="form-control" name="modelFilter"
          [(ngModel)]="modelFilter" (ngModelChange)="setModelFilter($event)" aria-label="Models"
          [matAutocomplete]="Models" [ngModelOptions]="{standalone: true}">
        <img *ngIf="loadingIndicator == 'setModelFilter'" class="loading_indicator" src="assets/img/loading.gif" alt="loader">
        <mat-autocomplete #Models="matAutocomplete" [displayWith]="displayFnModel">
          <mat-option *ngFor="let model of modelList" [value]="model">
            {{ model.name }}
          </mat-option>
          <mat-option *ngIf="modelList?.length==0">No Matches Found</mat-option>
        </mat-autocomplete>
      </div>
      <div class="col-md-2">
        <input matInput placeholder="Select Device" class="form-control" name="unique_device_id"
          (ngModelChange)="searchDevice($event)" [formControl]="devices" aria-label="Device" [matAutocomplete]="device"
          [(ngModel)]="unique_device_id">
        <img *ngIf="loadingIndicator == 'searchDevice'" class="loading_indicator" src="assets/img/loading.gif" alt="loader">
        <mat-autocomplete #device="matAutocomplete" [displayWith]="displayFnDevice">
          <mat-option *ngFor="let device of deviceSearch" [value]="device">
            <div class="option-otr">
              <div class="option_span">{{device.unique_device_id}}</div>
              <div class="option_span"> {{device.device_model}}</div>
            </div>
          </mat-option>
          <mat-option *ngIf="deviceSearch?.length==0">No Matches Found</mat-option>
        </mat-autocomplete>
      </div>
      <div class="col-md-1">
        <input matInput placeholder="Plate Number" class="form-control" name="plateFilter"
          (ngModelChange)="setVehicleFilter($event,'setVehiclePlate')" [(ngModel)]="vehicleFilter1"
          [formControl]="queryField2" aria-label="Vehicle" [matAutocomplete]="Plate">
        <img *ngIf="loadingIndicator == 'setVehiclePlate'" class="loading_indicator" src="assets/img/loading.gif" alt="loader">
        <mat-autocomplete #Plate="matAutocomplete" [displayWith]="displayFnplate">
          <mat-option *ngFor="let vehicle of selectVehicleData" [value]="vehicle">
            {{ vehicle.plate_number }}
          </mat-option>
          <mat-option *ngIf="selectVehicleData?.length==0">No Matches Found</mat-option>
        </mat-autocomplete>
      </div>
      <div class="col-md-2">
        <input matInput placeholder="Side Number" class="form-control" name="sideFilter"
          (ngModelChange)="setVehicleFilter($event,'setVehicleSideNo')" [(ngModel)]="vehicleFilter2"
          [formControl]="queryField3" aria-label="Vehicle" [matAutocomplete]="Side">
        <img *ngIf="loadingIndicator == 'setVehicleSideNo'" class="loading_indicator" src="assets/img/loading.gif" alt="loader">
        <mat-autocomplete #Side="matAutocomplete" [displayWith]="displayFnside">
          <mat-option *ngFor="let vehicle of selectVehicleData" [value]="vehicle">
            {{ vehicle.vehicle_identity_number }}
          </mat-option>
          <mat-option *ngIf="selectVehicleData?.length==0">No Matches Found</mat-option>
        </mat-autocomplete>
      </div>
      <div class="col-sm-1 col-md-1">
        <select [(ngModel)]="pageSize" (ngModelChange)="sortPageSize($event)" name="pageSize" class="form-control"
          placeholder="limit">
          <option value="10">10/page</option>
          <option value="20">20/page</option>
          <option value="30">30/page</option>
          <option value="50">50/page</option>
        </select>
      </div>
    </div>
    <div class="col-md-12 text-capitalize vehicle_forms" *ngIf="dtc">
      <div class="col-sm-2 col-md-2 text-center">
        <mat-select [(ngModel)]="companyIdFilter" placeholder="Company" class="form-control" multiple>
          <mat-option value="all" (click)="selectAllCompany()">All</mat-option>
          <mat-option (click)="companyManualSelect()" *ngFor="let company of companyData" [value]="company._id">
            {{company.company_name}}
          </mat-option>
        </mat-select>
      </div>
    </div>
  </div>
  <div class="fm-row" id="vehicle">
    <div class="table-responsive mb-table order-table">
      <table aria-describedby="Manage Company" class="table table-bordered">
        <thead>
          <tr>
            <th scope="col">Vehicle Name</th>
            <th scope="col">Driver Name</th>
            <th scope="col">Phone Number</th>
            <th scope="col">Registration Number</th>
            <th scope="col">Vehicle Model</th>
            <th scope="col">Licence Number</th>
            <th scope="col">Settings</th>
            <th scope="col">View History</th>
            <th scope="col">Maintenance History</th>
          </tr>
        </thead>
        <tbody>
          <td colspan="9" *ngIf="searchSubmit else other">
            <img style="position: absolute; left: 43%; top: 50%; height: 135px; border: 0px;"
              src="assets/img/loader.gif" alt="loader"/>
          </td>
          <ng-template #other>
            <tr *ngFor="let vehicle of searchDataVehicles">
              <td style="cursor:pointer">
                <div class="popup-driver" (mouseenter)="mouseEnter(vehicle['arr'])">
                  {{vehicle["arr"].display_name}}
                  <div class="popup-box-driver">
                    <div style="float: right;padding:5px;">
                      <h4 class="text-capitalize">{{vehicle['arr'].display_name}}</h4>
                      <i aria-hidden="true" class="fa fa-car"></i><span
                        class="text-capitalize">{{vehicle['arr'].vehicle_model_id.name}}</span>
                      <br>
                      <i aria-hidden="true" class="fa fa-male"></i><span
                        class="text-capitalize">{{vehicle['arr'].vehicle_model_id.number_of_person}}</span>
                      <br>
                      <i aria-hidden="true" class="fa fa-registered"></i>
                      <span class="text-capitalize">{{vehicle['arr'].licence_number}}</span>
                      <div *ngIf="icons else other" style="cursor:pointer;">
                        <i aria-hidden="true" class="fa fa-mobile" matTooltip="{{icons.manufacturer}} {{icons.device_model}} "
                         ></i>
                        <i aria-hidden="true" class="fa fa-location-arrow" [ngStyle]="{ 'color' : iconColor(icons.gps_strength)}"
                          matTooltip="Gps strength : {{icons.gps_strength}}"></i>
                        <i aria-hidden="true" class="fa fa-taxi" matTooltip="{{icons.company}}"></i>
                        <i aria-hidden="true" class="fa fa-battery-half" [ngStyle]="{ 'color' : iconColor(icons.battery)}"
                          matTooltip="Battery :{{icons.battery}}%"></i>
                      </div>
                      <ng-template #other>
                        <div style="cursor:default">
                          <i aria-hidden="true" class="fa fa-mobile" style="color: gray;font-size: 12px"></i>
                          <i aria-hidden="true" class="fa fa-location-arrow" style="color: gray"></i>
                          <i aria-hidden="true" class="fa fa-taxi" style="color: gray"></i>
                          <i aria-hidden="true" class="fa fa-battery-half" style="color: gray"></i>
                        </div>
                      </ng-template>
                    </div>
                  </div>
                </div>
              </td>
              <td style="cursor:pointer">
                <div *ngIf="vehicle['arr'].driver_id !=null">
                  <div class="popup-driver">
                    {{vehicle["arr"].driver_id!=null ? (vehicle["arr"].driver_id.username!=null ?
                    vehicle["arr"].driver_id.display_name : (vehicle["arr"].drivers['0']
                    ?vehicle["arr"].drivers['0'].display_name:'N/A')) : 'N/A'}}
                    <div class="popup-box-driver">
                      <h4 class="text-capitalize">{{vehicle['arr'].driver_id.display_name}}</h4>
                      <i aria-hidden="true" class="fa fa-phone-square"></i>
                      <span class="text-capitalize">{{vehicle['arr'].driver_id.phone_number}}</span>
                      <br>
                      <i aria-hidden="true" class="fa fa-venus-mars"></i>
                      <span class="text-capitalize">{{vehicle['arr'].driver_id.gender}}</span>
                      <br>
                      <i aria-hidden="true" class="fa fa-briefcase"></i>
                      <span class="text-capitalize">{{vehicle['arr'].driver_id.company_join_date}}</span>
                      <br>
                      <i aria-hidden="true" class="fa fa-star-o"></i>
                      <span class="text-capitalize">{{vehicle['arr'].driver_id.avg_ratings}}</span>
                      <br>
                      <i aria-hidden="true" class="fa fa-birthday-cake"></i>
                      <span class="text-capitalize">{{vehicle['arr'].driver_id.birth_date}}</span>
                      <br>
                      <i aria-hidden="true" class="fa fa-flag"></i>
                      <span class="text-capitalize">{{vehicle['arr'].driver_id.nationality}}</span>
                    </div>
                  </div>
                </div>
              </td>
              <td>
                <span *ngIf="vehicle['arr'].driver_id !=null">{{vehicle["arr"].driver_id._id
                  ?(vehicle["arr"].driver_id.phone_number ? vehicle["arr"].driver_id.phone_number
                  :'') :(vehicle["arr"].drivers['0'] ?vehicle["arr"].drivers['0'].phone_number:'')}}</span>
              </td>
              <td>
                <span class="pie">{{vehicle["arr"].registration_number}}</span>
              </td>
              <td>
                <span class="pie">{{vehicle["arr"].vehicle_model_id!=null ? vehicle["arr"].vehicle_model_id.name :
                  'N/A'}}</span>
              </td>
              <td>{{vehicle["arr"].licence_number}}</td>
              <td>
                <div class="dropdown" *ngIf="vehicle['arr'].driver_id">
                  <button class="btn dropdown-toggle" type="button" data-toggle="dropdown">
                    <i aria-hidden="true" class="fa fa-cog"></i>
                  </button>
                  <ul class="dropdown-menu">
                    <li>
                      <a (click)="SendMessageDialog(vehicle['arr'])">Send Message</a>
                    </li>
                    <li>
                      <a (click)="ShowMessageHistory(vehicle['arr'])">Show Message History</a>
                    </li>
                    <li>
                      <a (click)="OrderInfo(vehicle['arr'])">Order Info</a>
                    </li>
                    <li>
                      <a (click)="ShiftDetails(vehicle['arr'])">Shift Details</a>
                    </li>
                    <li>
                      <a (click)="vehicleDetails(vehicle['arr'])">Vehicle Info</a>
                    </li>
                  </ul>
                </div>
                <div *ngIf="!vehicle['arr'].driver_id">driver not Assign</div>
              </td>
              <td>
                <button class="btn btn-primary btn-darkred" type="button" data-toggle="modal"
                  (click)="showModel(vehicle['arr'])" data-id="{{vehicle['arr']._id}}"
                  data-target="#myModel">View</button>
              </td>
              <td>
                <button class="btn blue" type="button" data-toggle="modal" (click)="showMaintenance(vehicle['arr'])"
                  data-id="{{vehicle['arr']._id}}" data-target="#myModel2">View</button>
              </td>
            </tr>
          </ng-template>
        </tbody>
      </table>
    </div>

    <div class="container-fluid" *ngIf="vehiclesLength==0">
      <div class="row">
        <div class="dataTables_info1">
          <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
            No records found
          </div>
        </div>
      </div>
    </div>
    <div class="container-fluid" *ngIf="vehiclesLength>0">
      <div class="row">
        <div class="dataTables_info1">
          <div class="col-md-12 text-center">
            <ngb-pagination [collectionSize]="vehiclesLength" (pageChange)="pagingAgent($event,keyword)" [(page)]="pNo"
              [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
            </ngb-pagination>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div id="myModel" class="modal fade" role="dialog">
    <img *ngIf="loadingIndicator == 'modalLoader'"
      style="position: absolute; left: 43%; top: 50%; height: 135px; border: 0px; z-index: 999999;"
      src="assets/img/loader.gif" alt="loader"/>
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">In Active vehicle Information</h4>
        </div>
        <div class="modal-body">
          <div class="fm-row row" *ngIf="modelopened==true">
            <div class="col-sm-12">
              <p style="text-align: center">
                <strong>Device Information</strong>
              </p>
              <table aria-describedby="Manage Company" class="table table-bordered">
                <thead>
                  <tr>
                    <th scope="col">Label</th>
                    <th scope="col">information</th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td>
                      Device Id :
                    </td>
                    <td>
                      {{deviceinfo.unique_device_id}}
                    </td>
                  </tr>
                  <tr>
                    <td>
                      Device Model :
                    </td>
                    <td>
                      {{deviceinfo.device_model}}
                    </td>
                  </tr>
                  <tr>
                    <td>
                      Registered On :
                    </td>
                    <td>
                      {{deviceinfo.created_at}}
                    </td>
                  </tr>
                </tbody>
              </table>
              <p style="text-align:center">
                <strong>Driver Information</strong>
              </p>
              <p *ngIf="deviceinfo.driver_id.length>0" style="text-align: center">
                <strong>Assigned Drivers</strong>
              </p>
              <p *ngIf="deviceinfo.driver_id.length==0">No Drivers Assigned</p>
              <table aria-describedby="Manage Company" class="table table-bordered" *ngIf="deviceinfo.driver_id.length>0">
                <thead>
                  <tr>
                    <th scope="col">Driver Name & Id :</th>
                    <th scope="col">Driver Status</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let driver of deviceinfo.driver_id">
                    <td>
                      {{driver.name}} {{driver.surname}},({{driver.emp_id}})
                    </td>
                    <td>
                      {{driver.status}}
                    </td>
                  </tr>
                </tbody>
              </table>
              <p *ngIf="shiftinfo.length===0">No shift history.</p>
              <p *ngIf="shiftinfo.length>0" style="text-align: center;">
                <strong>Shift history</strong>
              </p>
              <table aria-describedby="Manage Company" class="table table-bordered" *ngIf="shiftinfo.length>0">
                <thead>
                  <tr>
                    <th scope="col">Driver Name & Id :</th>
                    <th scope="col">Last login time </th>
                    <th scope="col">Last logout time </th>
                    <th scope="col">vehicle Name</th>
                    <th scope="col">Driver Status</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let shift of shiftinfo">
                    <td>
                      {{shift.driver_id.name}} {{shift.driver_id.surname}},({{shift.driver_id.emp_id}})
                    </td>
                    <td>
                      {{shift.shift_start}}
                    </td>
                    <td>
                      {{shift.shift_end!==null ? shift.shift_end : "ongoing shift"}}
                    </td>
                    <td>
                      {{shift.vehicle_id.display_name}}
                    </td>
                    <td>
                      {{shift.driver_id.status}}
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div id="myModel2" class="modal fade" role="dialog">
    <img *ngIf="loadingIndicator == 'modalLoader'"
      style="position: absolute; left: 43%; top: 50%; height: 135px; border: 0px; z-index: 999999;"
      src="assets/img/loader.gif" alt="loader"/>
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Vehicle Maintenance Information</h4>
        </div>
        <div class="modal-body">
          <div class="fm-row row">
            <div class="col-sm-12">
              <table aria-describedby="Manage Company" class="table table-bordered">
                <thead>
                  <tr>
                    <th scope="col">Date</th>
                    <th scope="col">Activity</th>
                    <th scope="col">User</th>
                    <th scope="col">Notes</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let info of maintenanceInfo">
                    <td>{{info?.date | date: 'short' : 'GMT'}}</td>
                    <td>
                      {{info.changed_status=='VA'?'Vehicle moved to accident':info.changed_status=='VM'?'Vehicle moved to maintenance':info.changed_status=='VAC'?'Vehicle moved to active':info.changed_status=='VD'?'Vehicle moved to disposed':''}}
                    </td>
                    <td>
                      {{info.user_id?info.user_id.firstname + ' ' + info.user_id.lastname:''}}
                    </td>
                    <td>
                      {{info.note?info.note:''}}
                    </td>
                  </tr>
                </tbody>
              </table>
              <div class="container-fluid" *ngIf="maintenanceInfoLength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-12 form-group text-center">
                      No records found
                    </div>
                  </div>
                </div>
              </div>
              <div class="container-fluid" *ngIf="maintenanceInfo.length>0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-12 text-center">
                      <ngb-pagination [collectionSize]="maintenanceInfoLength" (pageChange)="maintenancePaging($event)"
                        [(page)]="pNoM" [pageSize]="10" aria-label="Default pagination" [maxSize]="5"
                        [boundaryLinks]="true">
                      </ngb-pagination>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>